using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HoppingDataConfig : DataConfig
{
    /// <summary>
    /// Init JumpPower
    /// </summary>
    [SerializeField][HideInInspector] private float m_InitJumpPower = 3f;

    public float initJumpPower
    {
        get => m_InitJumpPower;
        set
        {
            if (!m_InitJumpPower.EqualWith(value))
            {
                m_InitJumpPower = value;
                UpdatePref();
            }
        }
    }
    [SerializeField]
    [HideInInspector]
    int m_AllLife;
    public int AllLife
    {
        get => m_AllLife;
        set
        {
            if (m_AllLife !=value)
            {
                m_AllLife = value;
                UpdatePref();
            }
        }
    }
    //[SerializeField]
    //[HideInInspector]
    //int m_NumberAll;
    //public int NumberAll 
    //{
    //    get => m_NumberAll;
    //    set
    //    {
    //        if (m_NumberAll!=value) 
    //        {
    //            m_NumberAll = value;
    //            UpdatePref();
    //        }
    //    }
    //}

}

